<?xml version="1.0" encoding="utf-8"?>
<!-- KIT Tool | EneffBIM converter 2016  Version 0.9 (Author KIT BLM) IfcController.xsl 2.5.2017 -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://d-alchemy.com/schema/simxml/Model" xmlns:simcore="http://d-alchemy.com/schema/simxml/SimModelCore" xmlns:simres="http://d-alchemy.com/schema/simxml/ResourcesGeneral" xmlns:simgeom="http://d-alchemy.com/schema/simxml/ResourcesGeometry" xmlns:simbldg="http://d-alchemy.com/schema/simxml/BuildingModel" xmlns:simmep="http://d-alchemy.com/schema/simxml/MepModel" xmlns:ifc="http://www.buildingsmart-tech.org/ifcXML/IFC4/Add1" xmlns:msxsl="urn:schemas-microsoft-com:xslt" exclude-result-prefixes="xsl ifc msxsl">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" omit-xml-declaration="yes" indent="yes"/>
	<xsl:strip-space elements="*"/>
	<xsl:template name="IfcController" match="ifc:IfcController" mode="experimental">
		<SimController_SupplyWater_Temperature RefId="ID877">
			<simcore:SimUniqueID>ef8214c0-7b34-45cf-a4f5-b4a0473ccf13</simcore:SimUniqueID>
			<simcore:SimModelType>SupplyWater</simcore:SimModelType>
			<simcore:SimModelSubtype>Temperature</simcore:SimModelSubtype>
			<simcore:SimModelName>WTS-1</simcore:SimModelName>
			<simcore:SourceModelSchema>Simergy v1.9.0.20090</simcore:SourceModelSchema>
			<simcore:SourceModelObjectType>SIM:SimController</simcore:SourceModelObjectType>
			<simcore:IsTemplateObject>false</simcore:IsTemplateObject>
			<simcore:AssignedToGroups>ID851</simcore:AssignedToGroups>
			<simcore:Tag>WTS-1</simcore:Tag>
			<simcore:SelectedPropertyGroups>
				<simcore:stringItem>Controller:WaterTemperature</simcore:stringItem>
			</simcore:SelectedPropertyGroups>
			<simmep:SimCntrl_ControllerScheme_1>ID833</simmep:SimCntrl_ControllerScheme_1>
		</SimController_SupplyWater_Temperature>
	</xsl:template>
	<xsl:template name="tryAssembleTargetController">
		<xsl:param name="input"/>
		<xsl:variable name="filterAllControllerContents">
			<xsl:call-template name="filterAllOtherContents">
				<xsl:with-param name="input" select="$input"/>
				<xsl:with-param name="token" select="'eeBIMc_FLAG_'"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:choose>
			<xsl:when test="$filterAllControllerContents != 'FALSE'">
				<xsl:call-template name="FillSceleton">
					<xsl:with-param name="taggedTargetContent" select="$filterAllControllerContents"/>
					<xsl:with-param name="prefixToken" select="'eeBIMc_FLAG_'"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
							FALSE
				</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
