<?xml version="1.0" encoding="utf-8"?>
<!-- KIT Tool | EneffBIM converter 2016  Version 0.9 (Author KIT BLM) IfcRelConnectsPorts.xsl 2.5.2017 -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://d-alchemy.com/schema/simxml/Model" xmlns:simcore="http://d-alchemy.com/schema/simxml/SimModelCore" xmlns:simres="http://d-alchemy.com/schema/simxml/ResourcesGeneral" xmlns:simgeom="http://d-alchemy.com/schema/simxml/ResourcesGeometry" xmlns:simbldg="http://d-alchemy.com/schema/simxml/BuildingModel" xmlns:simmep="http://d-alchemy.com/schema/simxml/MepModel" xmlns:ifc="http://www.buildingsmart-tech.org/ifcXML/IFC4/Add1" xmlns:msxsl="urn:schemas-microsoft-com:xslt" exclude-result-prefixes="xsl ifc msxsl">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" omit-xml-declaration="yes" indent="yes"/>
	<xsl:strip-space elements="*"/>
	<xsl:template match="ifc:IfcRelConnectsPorts">
		<xsl:param name="KeyPool"/>
		<xsl:if test="$KeyPool != ''">
			<xsl:variable name="simelemname">
				<xsl:call-template name="getTargetElementName">
					<xsl:with-param name="KeyPool" select="$KeyPool"/>
				</xsl:call-template>
			</xsl:variable>
			<xsl:variable name="generictargetcontent">
				<xsl:call-template name="resolvekeypool">
					<xsl:with-param name="KeyPoolSnippet" select="$KeyPool"/>
					<xsl:with-param name="elemname" select="name()"/>
				</xsl:call-template>
			</xsl:variable>
			<xsl:variable name="resolvedfromproperties">
				<xsl:call-template name="GenerateTargetElementContentsFromSourceProperties">
					<xsl:with-param name="KeyPool" select="$KeyPool"/>
				</xsl:call-template>
				<xsl:variable name="relatingPort" select="current()/ifc:RelatingPort/@ref | current()/ifc:RelatingPort/@href"/>
				<xsl:variable name="relatedPort" select="current()/ifc:RelatedPort/@ref | current()/ifc:RelatedPort/@href"/>
				<xsl:if test="$relatingPort != ''">
					<simres:SourcePort>
						<xsl:variable name="args" select="msxsl:node-set($allsourceobjects)/descendant::ifc:IfcDistributionPort[@id = $relatingPort and not(@GlobalId=following::ifc:IfcDistributionPort/@GlobalId)]"/>
						<xsl:for-each select="msxsl:node-set($args)">
							<xsl:call-template name="TargetValueFormatConditions">
								<xsl:with-param name="sourcename">
									<xsl:value-of select="'GlobalId'"/>
								</xsl:with-param>
								<xsl:with-param name="sourcevalue">
									<xsl:value-of select="current()/@GlobalId"/>
								</xsl:with-param>
								<xsl:with-param name="targetname">
									<xsl:value-of select="'simres:SourcePort'"/>
								</xsl:with-param>
							</xsl:call-template>
						</xsl:for-each>
					</simres:SourcePort>
				</xsl:if>
				<xsl:if test="$relatedPort != ''">
					<simres:TargetPort>
						<xsl:variable name="args" select="msxsl:node-set($allsourceobjects)/descendant::ifc:IfcDistributionPort[@id = $relatedPort and not(@GlobalId=following::ifc:IfcDistributionPort/@GlobalId)]"/>
						<xsl:for-each select="msxsl:node-set($args)">
							<xsl:call-template name="TargetValueFormatConditions">
								<xsl:with-param name="sourcename">
									<xsl:value-of select="'GlobalId'"/>
								</xsl:with-param>
								<xsl:with-param name="sourcevalue">
									<xsl:value-of select="current()/@GlobalId"/>
								</xsl:with-param>
								<xsl:with-param name="targetname">
									<xsl:value-of select="'simres:TargetPort'"/>
								</xsl:with-param>
							</xsl:call-template>
						</xsl:for-each>
					</simres:TargetPort>
				</xsl:if>
			</xsl:variable>
			<xsl:call-template name="GenerateTargetElement">
				<xsl:with-param name="KeyPool" select="$KeyPool"/>
				<xsl:with-param name="simelemname" select="$simelemname"/>
				<xsl:with-param name="unsortedtargetcontent">
					<xsl:call-template name="MergeTargetElementContentCollections">
						<xsl:with-param name="generictargetcontent" select="$generictargetcontent"/>
						<xsl:with-param name="resolvedfromproperties" select="$resolvedfromproperties"/>
					</xsl:call-template>
				</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
