<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ifc="http://www.buildingsmart-tech.org/ifcXML/IFC4/Add1" exclude-result-prefixes="xsl ifc">
	<xsl:output method="xml" omit-xml-declaration="yes"/>
	<xsl:template name="ifcXML">
		<xsl:variable name="tns"> ../schema/simmodel.xsd</xsl:variable>
		<SimModel xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://d-alchemy.com/schema/simxml/Model" xmlns:simcore="http://d-alchemy.com/schema/simxml/SimModelCore" xmlns:simres="http://d-alchemy.com/schema/simxml/ResourcesGeneral" xmlns:simgeom="http://d-alchemy.com/schema/simxml/ResourcesGeometry" xmlns:simbldg="http://d-alchemy.com/schema/simxml/BuildingModel" xmlns:simmep="http://d-alchemy.com/schema/simxml/MepModel" xsi:schemaLocation="http://d-alchemy.com/schema/simxml/Model{$tns}">
			<xsl:variable name="PreGenerateTargetElements">
				<xsl:call-template name="IterateAllSourceObjects"/>
			</xsl:variable>
			<xsl:call-template name="IterateAlongSequenceOrder">
				<xsl:with-param name="CurrentSimElementName" select="'SimModel'"/>
				<xsl:with-param name="unsortedtargetcontent" select="$PreGenerateTargetElements"/>
				<xsl:with-param name="GenerateTrigger" select="'orderonly'"/>
			</xsl:call-template>
		</SimModel>
	</xsl:template>
</xsl:stylesheet>
